Bug 35694 - Terminal session on Cisco router suspends when utilizing FTP to Linux wu-ftp
Terminal session on Cisco router suspends when utilizing FTP to Linux wu-ftp
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: wu-ftpd (Show other bugs)
6.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-11 16:52 EDT by Need Real Name
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-16 12:41:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Trace of GRS to Linux wuftp (366.89 KB, text/plain)
2001-04-11 17:04 EDT, Need Real Name
no flags Details
GRS router utilizing ftp to an NT system which functions without issue (18.99 KB, text/plain)
2001-04-11 17:08 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2001-04-11 16:52:08 EDT
This problem happens on Cisco GSR,7200 and 7500, although not on a 2600

An ftp is executed from the Cisco router interactive session. After 
executing the command the session suspends until 2 instances of the ftp 
process are killed on the Linux system as shown below.

The problem appears to be wu-ftp's handling on the ABOR sent by the 
router. W2K and Berklet ftp both handle ftp appropriately.

Also note the file is copied to the router the first time all subsuquent 
copies are duplicates, although the session doesn't free up without 
killing the PIDs.


This is the Linux system:

[root@foo test]# ps -ef |grep ftp
icosftp 1048 516 0 17:23 ? 00:00:00 ftpd: gsra.test: icos
root 1055 956 0 17:25 pts/0 00:00:00 grep ftp
[root@foo test]# kill -9 1048
[root@foo test]# ps -ef |grep ftp
icosftp 1068 516 0 17:25 ? 00:00:00 ftpd: gsra.test: icos
root 1075 956 0 17:25 pts/0 00:00:00 grep ftp
[root@foo test]# kill -9 1068

Here is the file off the Linux system:
[root@foo ftp]# more cisco-config-bgp.cfg
router bgp 89
neighbor 5.5.5.5 remote-as 98
neighbor 6.6.6.6 remote-as 99


This is the session, which suspends on the router.
GSRa#copy ftp://icosftp:Icos1Icos@10.216.1.110/cisco-config-bgp.cfg
running-config
Destination filename [running-config]?
.
.The router is hung at this point until the process
.(2 different process ID's) are killed on Linux
.
ftp://icosftp:Icos1Icos@10.216.1.110/cisco-config-bgp.cfg...
Loading cisco-config-bgp.cfg
[OK - 77/1024 bytes]

77 bytes copied in 30.912 secs (2 bytes/sec)


This is the debugging information off the router.
Apr 7 16:24:26 mst: FTP: 220 intelliden FTP server (Version wu-2.6.0(1) 
Mon Fe
28 10:30:36 EST 2000) ready.
Apr 7 16:24:26 mst: FTP: ---> USER icosftp
Apr 7 16:24:26 mst: FTP: 331 Password required for icosftp.
Apr 7 16:24:26 mst: FTP: ---> PASS Icos1Icos
Apr 7 16:24:26 mst: FTP: 230 User icosftp logged in.
Apr 7 16:24:26 mst: FTP: ---> TYPE I
Apr 7 16:24:26 mst: FTP: 200 Type set to I.
Apr 7 16:24:26 mst: FTP: ---> PASV
Apr 7 16:24:26 mst: FTP: 227 Entering Passive Mode (10,216,1,110,217,167)
Apr 7 16:24:26 mst: FTP: ---> RETR cisco-config-bgp.cfg
Apr 7 16:24:26 mst: FTP: 150 Opening BINARY mode data connection for cisco-
con
ig-bgp.cfg (77 bytes).
Apr 7 16:24:26 mst: FTP: ---> ABOR
.
.
.This is where it becomes suspended
.
.First PID killed here
.
Apr 7 16:26:18 mst: FTP: 150 Opening BINARY mode data connection for cisco-
conf
ig-bgp.cfg (77 bytes).
Apr 7 16:26:18 mst: FTP: 150 Opening BINARY mode data connection for cisco-
conf
ig-bgp.cfg (77 bytes).
Apr 7 16:26:18 mst: FTP: ---> QUIT
Apr 7 16:26:18 mst: FTP: 220 foo FTP server (Version wu-2.6.0(1) Mon Feb
28 10:30:36 EST 2000) ready.
Apr 7 16:26:18 mst: FTP: ---> USER icosftp
Apr 7 16:26:18 mst: FTP: 331 Password required for icosftp.
Apr 7 16:26:18 mst: FTP: ---> PASS Icos1Icos
Apr 7 16:26:18 mst: FTP: 230 User icosftp logged in.
Apr 7 16:26:18 mst: FTP: ---> TYPE I
Apr 7 16:26:18 mst: FTP: 200 Type set to I.
Apr 7 16:26:18 mst: FTP: ---> PASV
Apr 7 16:26:18 mst: FTP: 227 Entering Passive Mode (10,216,1,110,12,218)
Apr 7 16:26:18 mst: FTP: ---> RETR cisco-config-bgp.cfg
Apr 7 16:26:18 mst: FTP: 150 Opening BINARY mode data connection for cisco-
conf
ig-bgp.cfg (77 bytes).
Apr 7 16:26:19 mst: FTP: 226 Transfer complete.
Apr 7 16:26:19 mst: FTP: ---> QUIT
Apr 7 16:26:19 mst: FTP: 221 Goodbye.
Apr 7 16:26:19 mst: FTP: 220 foo FTP server (Version wu-2.6.0(1) Mon Feb
28 10:30:36 EST 2000) ready.
Apr 7 16:26:19 mst: FTP: ---> USER icosftp
Apr 7 16:26:19 mst: FTP: 331 Password required for icosftp.
Apr 7 16:26:19 mst: FTP: ---> PASS Icos1Icos
Apr 7 16:26:19 mst: FTP: 230 User icosftp logged in.
Apr 7 16:26:19 mst: FTP: ---> TYPE I
Apr 7 16:26:19 mst: FTP: 200 Type set to I.
Apr 7 16:26:19 mst: FTP: ---> PASV
Apr 7 16:26:19 mst: FTP: 227 Entering Passive Mode (10,216,1,110,150,149)
Apr 7 16:26:19 mst: FTP: ---> RETR cisco-config-bgp.cfg
Apr 7 16:26:19 mst: FTP: 150 Opening BINARY mode data connection for cisco-
conf
ig-bgp.cfg (77 bytes).
Apr 7 16:26:19 mst: FTP: ---> ABOR
.
.
.Linux 2nd process killed here
.
.
Apr 7 16:26:30 mst: FTP: 150 Opening BINARY mode data connection for cisco-
conf
ig-bgp.cfg (77 bytes).
Apr 7 16:26:30 mst: FTP: 150 Opening BINARY mode data connection for cisco-
conf
ig-bgp.cfg (77 bytes).
Apr 7 16:26:30 mst: FTP: ---> QUIT
Apr 7 16:26:30 mst: FTP: 220 foo FTP server (Version wu-2.6.0(1) Mon Feb
28 10:30:36 EST 2000) ready.
Apr 7 16:26:30 mst: FTP: ---> USER icosftp
Apr 7 16:26:30 mst: FTP: 331 Password required for icosftp.
Apr 7 16:26:30 mst: FTP: ---> PASS Icos1Icos
Apr 7 16:26:30 mst: FTP: 230 User icosftp logged in.
Apr 7 16:26:30 mst: FTP: ---> TYPE I
Apr 7 16:26:30 mst: FTP: 200 Type set to I.
Apr 7 16:26:30 mst: FTP: ---> PASV
Apr 7 16:26:30 mst: FTP: 227 Entering Passive Mode (10,216,1,110,76,53)
Apr 7 16:26:30 mst: FTP: ---> RETR cisco-config-bgp.cfg
Apr 7 16:26:30 mst: FTP: 150 Opening BINARY mode data connection for cisco-
conf
ig-bgp.cfg (77 bytes).
Apr 7 16:26:31 mst: FTP: 226 Transfer complete.
Apr 7 16:26:31 mst: FTP: ---> QUIT
Apr 7 16:26:31 mst: FTP: 221 Goodbye.
Apr 7 16:26:31 mst: %PARSER-4-BADCFG: Unexpected end of configuration file.

Apr 7 16:26:31 mst: %SYS-5-CONFIG: Configured from 
ftp://icosftp:Icos1Icos@10.2
16.1.110/cisco-config-bgp.cfg
Comment 1 Need Real Name 2001-04-11 17:04:49 EDT
Created attachment 15204 [details]
Trace of GRS to Linux wuftp
Comment 2 Need Real Name 2001-04-11 17:08:21 EDT
Created attachment 15205 [details]
GRS router utilizing ftp to an NT system which functions without issue
Comment 3 Bernhard Rosenkraenzer 2001-04-15 16:29:46 EDT
Please let me know if this problem is still present in the current version 
(from rawhide, wu-ftpd-2.6.1-16); I don't have the equipment to verify this.

Comment 4 Need Real Name 2001-04-16 12:38:08 EDT
wu-ftpd-2.6.1-6 is on 7.0 and did not operate correctly

Comment 5 Bernhard Rosenkraenzer 2001-04-16 12:41:49 EDT
I was asking about 2.6.1-16, not 2.6.1-6. (-16 has many fixes from the 2.7.0 
branch in CVS).

Comment 6 Bernhard Rosenkraenzer 2001-05-07 11:15:16 EDT
Closing due to inactivity

Note You need to log in before you can comment on or make changes to this bug.